Bug 738319 - when importing distros osminor doesn't enforce a string
Summary: when importing distros osminor doesn't enforce a string
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 14:27 UTC by Bill Peck
Modified: 2019-05-22 13:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 17:34:52 UTC


Attachments (Terms of Use)

Description Bill Peck 2011-09-14 14:27:24 UTC
Description of problem:

osminor can be non-numeric but we don't enforce int to str on input. 

This causes a problem when looking up the distro when osminor is 0.  osminor = 0 will return all the records.

Version-Release number of selected component (if applicable):
0.7.01

How reproducible:
import a GOLD release

Test plan should be updated to include importing of a GOLD release.


Note You need to log in before you can comment on or make changes to this bug.